<template>
    <div>
        <app-post-create-repost 
            :post="post"
            @success="$emit('close')"
        />

        <component 
            v-if="post" 
            class="border-t border-gray-700 mt-4 p-4"
            :is="`app-post-variant-${post.type}`" 
            :post="post" />
    </div>
</template>
<script>
export default {
    props: {
        post: {
            required: true,
            type: Object
        }
    }
}
</script>